%define		origname	kmplayer
%define		kdever		4.4.4

Summary:	A KDE MPlayer/Xine/ffmpeg/ffserver/VDR frontend
Summary(pl.UTF-8):	Frontend dla programów MPlayer/Xine/ffmpeg/ffserver/VDR pod KDE
Name:		kde4-kmplayer
Version:	0.11.3d
Release:	4
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://kmplayer.kde.org/pkgs/%{origname}-%{version}.tar.bz2
# Source0-md5:	a652d00370e0940e6bd9cf51b32770c4
Patch0:		%{name}-unistd.patch
Patch1:		cmake.patch
URL:		http://kmplayer.kde.org/
BuildRequires:	cmake >= 2.8.0
BuildRequires:	dbus-glib-devel
BuildRequires:	gtk+2-devel
BuildRequires:	kde4-kdebase-workspace-devel >= %{kdever}
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-lib-libXtst-devel
Requires:	mplayer
Obsoletes:	kde4-kmplayer-icons-oxygen
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A powerful, fully integrated with KDE MPlayer/Xine/ffmpeg/ffserver/VDR
GUI.

%description -l pl.UTF-8
W pełni zintegrowany z KDE frontend dla programów
MPlayer/Xine/ffmpeg/ffserver/VDR.

%prep
%setup -q -n %{origname}-%{version}
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
%cmake \
				.. \

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT

# Remove empty locale
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/sk/LC_MESSAGES/kmplayer.mo

%find_lang %{origname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{origname}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/kmplayer
%attr(755,root,root) %{_bindir}/knpplayer
%attr(755,root,root) %{_bindir}/kphononplayer
%attr(755,root,root) %{_libdir}/libkdeinit4_kmplayer.so
%attr(755,root,root) %{_libdir}/libkmplayercommon.so
%attr(755,root,root) %{_libdir}/kde4/libkmplayerpart.so
%{_datadir}/apps/kmplayer
%{_datadir}/config/kmplayerrc
%{_datadir}/kde4/services/kmplayer_part.desktop
%{_desktopdir}/kde4/kmplayer.desktop
%{_iconsdir}/hicolor/*/apps/kmplayer.*
%changelog
* Sat Oct 05 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kmplayer.git;a=log;h=master

* Sat Oct 05 2019 Jan Rękorajski <baggins@pld-linux.org> 4c8d71f
- drop xulrunner dep, it's not needed
- rel 4

* Sat Oct 05 2019 Jan Rękorajski <baggins@pld-linux.org> 9f745e6
- more cmake fixes
- fix files listed twice
- rel 3

* Fri Oct 04 2019 Jan Rękorajski <baggins@pld-linux.org> e254a76
- fix cmake files

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> d6287dd
- rebuild for g++ ABI changes
- release 2 (by relup.sh)

* Mon Jul 02 2012 blekot <blekot@pld-linux.org> f60e26a
- up to 0.11.3d

* Mon Jul 02 2012 blekot <blekot@pld-linux.org> c39e153
- up to 0.11.3c
- package cleanup with merging with kmplayer.spec
- BR: dbus-glib-devel gtk+2-devel xulrunner-devel
- strigi-devel is not needed or I don't see any difference while building

* Mon May 31 2010 shadzik <shadzik@pld-linux.org> fa0effa
- remove unsupported langs

* Mon May 31 2010 shadzik <shadzik@pld-linux.org> 90e96db
- use %find_lang

* Mon May 31 2010 shadzik <shadzik@pld-linux.org> ece96fa
- %files

* Mon May 31 2010 shadzik <shadzik@pld-linux.org> e4c107e
- cleanup the mess

* Mon May 31 2010 shadzik <shadzik@pld-linux.org> c8726a9
- kill icons-oxygen subpackage

* Mon May 31 2010 shadzik <shadzik@pld-linux.org> b048c1b
- 0.11.2b

* Mon Oct 19 2009 Elan Ruusamäe <glen@pld-linux.org> d134a1e
- CMAKE_BUILD_TYPE setup

* Sat Nov 08 2008 Elan Ruusamäe <glen@pld-linux.org> 4e49ce8
- sholdn't there be find lang for kde docs

* Sat Nov 08 2008 Elan Ruusamäe <glen@pld-linux.org> d3851d2
- we are pld-linux.org not pld.org.pl
- adapter and pldize
- some random qt_ver as it was missing

* Sat Nov 08 2008 chomar <chomar@pld-linux.org> e3e2fc4
- add unistd.h for unlink, getpid funcions

* Sat Nov 08 2008 chomar <chomar@pld-linux.org> 013b1cb
- init with version 0.11.0-rc1
- Pre release for KDE4. Working backend players are MPlayer, Phonon and the
  Mozilla plugin loader. An addition feature is load on demand for the plugins.

